lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [<thread-prev] [day] [month] [year] [list]
Date:   Fri, 1 Mar 2019 15:24:35 +0100
From:   Greg KH <gregkh@...uxfoundation.org>
To:     Pavel Machek <pavel@....cz>
Cc:     Andreas Färber <afaerber@...e.de>,
        Paul Gortmaker <paul.gortmaker@...driver.com>,
        Sven Van Asbroeck <thesven73@...il.com>, svendev@...x.com,
        robh+dt@...nel.org, linus.walleij@...aro.org, lee.jones@...aro.org,
        mark.rutland@....com, treding@...dia.com, david@...hnology.com,
        noralf@...nnes.org, johan@...nel.org, monstr@...str.eu,
        michal.vokac@...ft.com, arnd@...db.de, john.garry@...wei.com,
        geert+renesas@...der.be, robin.murphy@....com,
        sebastien.bourdelin@...oirfairelinux.com, icenowy@...c.io,
        stuyoder@...il.com, maxime.ripard@...tlin.com,
        linux-kernel@...r.kernel.org
Subject: Re: [PATCH v7 1/6] fieldbus_dev: add Fieldbus Device subsystem.

On Fri, Mar 01, 2019 at 02:34:56PM +0100, Pavel Machek wrote:
> 
> > > > 
> > > >> +
> > > >> +MODULE_AUTHOR("Sven Van Asbroeck <TheSven73@...glemail.com>");
> > > >> +MODULE_AUTHOR("Jonathan Stiles <jonathans@...x.com>");
> > > >> +MODULE_DESCRIPTION("Fieldbus Device Driver Core");
> > > >> +MODULE_LICENSE("GPL v2");
> > > 
> > > Sven, as this code appears to be all by ArcX people, any chance you can
> > > make it just GPL (SPDX GPL-2.0-or-later)? Only reason to have it v2-only
> > 
> > SPDX "GPL-2.0+" please.
> > 
> > > would be if this code was derived from v2-only code that can't be
> > > relicensed anymore.
> > 
> > Are you _sure_ you want v2+?  I ask as I am forced to :)
> 
> And I find it pretty nasty. You are trying to push people away from
> GPL V2+, which is not cool.

People do not usually realize what they are agreeing to when they say
"or later" based on the discussions I always end up having.

Do you really trust that GPL v9 is going to look anything like v2?  :)

Anyway, no big deal, just asking as it is good to be sure, especially
when odds are, code for this was copied from non + code.

thanks,

greg k-h

Powered by blists - more mailing lists